regina::stl Namespace Reference

Miscellaneous utility classes and routines taken or modified from the Standard Template Library. More...

## Classes

struct | select1st
| An adaptable unary function used to select the first element of a pair. More...
struct | select2nd
| An adaptable unary function used to select the second element of a pair. More...
class | unary_compose
| An adaptable unary function used to compose two unary functions. More...

## Functions

template<class Operation1 , class Operation2 >
unary_compose< Operation1, Operation2 > | compose1 (const Operation1 &func1, const Operation2 &func2)
| Returns an adaptable unary function that is the composition of the two given functions. More...

## Detailed Description

Miscellaneous utility classes and routines taken or modified from the Standard Template Library.

See the stlutils.h file documentation for Standard Template Library license details.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).